Bug 158671 - CAN-2004-1009 Multiple mc issues (CAN-2004-1090 CAN-2004-1091 CAN-2004-1093 CAN-2004-1174 CAN-2004-1175 CAN-2005-0763)
CAN-2004-1009 Multiple mc issues (CAN-2004-1090 CAN-2004-1091 CAN-2004-1093 C...
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Jay Turner
: Security
: 153983 153985 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-05-24 14:53 EDT by Josh Bressers
Modified: 2015-01-07 19:10 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-512
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-16 13:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-24 14:53:34 EDT
During the FC4 security audit, we came across a number of mc issues that have
not been fixed. The CVE id's in the Summary is all we know at the moment.

Jindrich, what do you think will be the easiest way to fix all these?
Comment 1 Jindrich Novy 2005-05-25 05:02:45 EDT
Hello Josh,

There's Fedora Legacy bug 152889, where some things related to these issues are
discussed and some of the patches might be ported to our RHEL-2.1 mc. I'm not
sure at the moment whether all the fixes are incorporated there. I'll have a
closer look into this.
Comment 2 Jindrich Novy 2005-05-25 05:07:34 EDT
*** Bug 153985 has been marked as a duplicate of this bug. ***
Comment 3 Jindrich Novy 2005-06-09 03:39:24 EDT

I backported fixes for CAN-2004-1009, CAN-2004-1090, CAN-2004-1091,
CAN-2004-1093, CAN-2004-1174, CAN-2004-1175, CAN-2005-0763 from
Debian and Fedora Legacy, the mc-4.5.51 is not vulnerable to CAN-2004-1176.
Comment 4 Josh Bressers 2005-06-09 08:44:55 EDT
What about CAN-2004-1092

Additionally, does this overlap with bug 127974
Comment 5 Jindrich Novy 2005-06-09 09:46:34 EDT
Nope, mc-4.5.51 isn't vulnerable to CAN-2004-1092 as the patch for this contains
fix of invalid check of savename in gtkedit/editcmd.c what is correct in this
Comment 6 Josh Bressers 2005-06-16 13:45:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 7 Josh Bressers 2005-06-16 21:47:06 EDT
*** Bug 153983 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.